DESYNC(1)

NAME
desync - desync

DESCRIPTION
desync is a content-addressed binary distribution system. It chunks files into reusable, compressed pieces kept in chunk stores, and reassembles them efficiently using indexes, seeds and caches. It is compatible with casync archives, indexes and stores.

  Store locations, used with options like -s/--store and -c/--cache, can be:

/path/to/store
    local directory store

http(s)://host/path/
    chunk/index server (see chunk-server command)

s3+http(s)://host/bucket
    S3-compatible object store

gs://bucket/prefix
    Google Cloud Storage bucket

sftp://user@host/path
    SFTP store

ssh://user@host/path
    casync protocol over SSH (read-only)

Commands that accept multiple stores try them in the order given. Several stores can also be combined into one failover group by separating them with '|', for example -s "http://server1/store|http://server2/store".

  Usage:

    desync [command]

  Available Commands:

cache
    Read indexes and copy the referenced chunks

cat Stream a blob to stdout or a file-like object

chop
    Read chunks from a file according to an index

chunk
    Chunk input file and print chunk boundaries and IDs

chunk-server
    Server for chunks over HTTP(S)

completion
    Generate the autocompletion script for the specified shell

config
    Show or write config file

extract
    Read an index and build a blob from it

help
    Help about any command

index-server
    Server for indexes over HTTP(S)

info
    Show information about an index

    inspect-chunks Inspect chunks from an index and an optional local store list-chunks List chunk IDs from an index make Chunk input file and create index manpage Generate manpages for desync mount-index FUSE mount an index file mtree Print the content of a catar, caidx or local directory in mtree format prune Remove unreferenced chunks from a store pull Serve chunks via casync protocol over SSH tar Store a directory tree in a catar archive or index untar Extract a directory tree from a catar archive or index verify Read chunks in a store and verify their integrity verify-index Verify an index matches a file

  Flags:

--config string
    config file (default $HOME/.config/desync/config.json)

--digest string
    digest algorithm, sha512-256 or sha256 (default "sha512-256")

-h, --help
    help for desync

--verbose
    verbose mode

Use "desync [command] --help" for more information about a command.